package com.qmth.distributed.print.business.mapper;

import com.qmth.distributed.print.business.bean.dto.CourseWeightFormDto;
import com.qmth.distributed.print.business.entity.ObeCourseWeight;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 课程权重设置 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-02-22
 */
public interface ObeCourseWeightMapper extends BaseMapper<ObeCourseWeight> {

    /**
     * 获取权重表单
     *
     * @param obeCourseOutlineId 课程大纲id
     * @return 表单
     */
    List<CourseWeightFormDto> findCourseWeightForm(@Param("obeCourseOutlineId") Long obeCourseOutlineId);
}
